## urdfdom-headers 0.2.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
project (urdfdom_headers)

set (URDF_MAJOR_VERSION 0)
set (URDF_MINOR_VERSION 2)
set (URDF_PATCH_VERSION 3)

set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

add_subdirectory(urdf_sensor)
add_subdirectory(urdf_model)
add_subdirectory(urdf_model_state)
add_subdirectory(urdf_world)
add_subdirectory(urdf_exception)

set(PACKAGE_NAME ${PROJECT_NAME})
set(cmake_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/${PROJECT_NAME}-config.cmake")
configure_file("${cmake_conf_file}.in" "${cmake_conf_file}" @ONLY)
install(FILES ${cmake_conf_file} DESTINATION share/${PROJECT_NAME}/cmake/ COMPONENT cmake)

# Make the package config file
if (NOT MSVC)
  set(PACKAGE_DESC "Unified Robot Description Format")
  set(pkg_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/urdfdom_headers.pc")
  configure_file("${pkg_conf_file}.in" "${pkg_conf_file}" @ONLY)
  install(FILES ${pkg_conf_file} DESTINATION lib/pkgconfig/ COMPONENT pkgconfig)
endif()

message(STATUS "Configuration successful. Type make install to install urdfdom_headers.")

=== debian/changelog ===
urdfdom-headers (0.2.3+dfsg-1) unstable; urgency=low

  * Import new upstream version 0.2.3 (Closes: #714642).

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 01 Jul 2013 22:58:39 +0900

=== debian/control ===
Source: urdfdom-headers
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom-headers.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom-headers.git
Homepage: https://github.com/ros/urdfdom_headers

Package: liburdfdom-headers-dev
Architecture: all
Section: libdevel
Depends: pkg-config, ${misc:Depends}
Multi-Arch: foreign
Description: URDF DOM - header files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the headers files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean get-orig-source

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom_headers.pc
	rm -f cmake/urdfdom_headers-config.cmake
	dh_auto_clean --

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
     https://github.com/ros/urdfdom_headers/tags .*/v?(\d\S*)\.tar\.gz

## urdfdom-headers 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 project (urdfdom_headers)
 
 set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 2)
-set (URDF_PATCH_VERSION 3)
+set (URDF_MINOR_VERSION 3)
+set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

=== debian/changelog ===
urdfdom-headers (0.3.0-1) unstable; urgency=medium

  * Import upstream version 0.3.0
  * dfsg not needed any more, upstream releases are clean

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Mar 2014 20:14:43 +0000

## urdfdom-headers 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
project (urdfdom_headers)

set (URDF_MAJOR_VERSION 0)
set (URDF_MINOR_VERSION 4)
set (URDF_PATCH_VERSION 0)

set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

add_subdirectory(urdf_sensor)
add_subdirectory(urdf_model)
add_subdirectory(urdf_model_state)
add_subdirectory(urdf_world)
add_subdirectory(urdf_exception)

if(WIN32 AND NOT CYGWIN)
  set(CMAKE_CONFIG_INSTALL_DIR CMake)
else()
  set(CMAKE_CONFIG_INSTALL_DIR share/${PROJECT_NAME}/cmake/)
endif()

set(PACKAGE_NAME ${PROJECT_NAME})
set(cmake_conf_file "${PROJECT_NAME}-config.cmake")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
set(cmake_conf_version_file "${PROJECT_NAME}-config-version.cmake")
# Use write_basic_package_version_file to generate a ConfigVersion file that
# allow users of gazebo to specify the API or version to depend on
# TODO: keep this instruction until deprecate Ubuntu/Precise and update with
# https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake
include(WriteBasicConfigVersionFile)
write_basic_config_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
  VERSION "${URDF_VERSION}"
  COMPATIBILITY SameMajorVersion)
install(FILES
  "${CMAKE_BINARY_DIR}/${cmake_conf_file}"
  "${CMAKE_BINARY_DIR}/${cmake_conf_version_file}"
  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR} COMPONENT cmake)

# Make the package config file
if (NOT MSVC)
  set(PACKAGE_DESC "Unified Robot Description Format")
  set(pkg_conf_file "urdfdom_headers.pc")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
  install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION lib/pkgconfig/ COMPONENT pkgconfig)
endif()

message(STATUS "Configuration successful. Type make install to install urdfdom_headers.")

=== urdf_world/CMakeLists.txt ===
INSTALL(DIRECTORY include/urdf_world DESTINATION include)

=== debian/changelog ===
urdfdom-headers (0.4.1-2) unstable; urgency=medium

  * Change architecturo from 'all' to 'any'
    (Closes: #815683)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Mar 2016 12:45:55 +0000

urdfdom-headers (0.4.1-1) unstable; urgency=medium

  * Renamed README file
  * Fix lintian warning with duplicate license
  * Imported Upstream version 0.4.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Feb 2016 12:14:54 +0000

urdfdom-headers (0.4.0-1) unstable; urgency=medium

  * Update standard version
  * Imported Upstream version 0.4.0
  * Removed patch merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Jan 2016 20:29:59 +0000

urdfdom-headers (0.3.0-2) unstable; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * Added get-orig-source rule
  * Rework on the watch file

  [ Jose Luis Rivero ]
  * Added patch to solve quaternion conversion problem

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Jul 2015 23:55:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom-headers.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom-headers.git
 Homepage: https://github.com/ros/urdfdom_headers
 
 Package: liburdfdom-headers-dev
-Architecture: all
+Architecture: any
 Section: libdevel
 Depends: pkg-config, ${misc:Depends}
 Multi-Arch: foreign

## urdfdom-headers 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
 project (urdfdom_headers)
 
-set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 4)
+include(GNUInstallDirs)
+
+set (URDF_MAJOR_VERSION 1)
+set (URDF_MINOR_VERSION 0)
 set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
@@ -24,7 +26,7 @@
 if(WIN32 AND NOT CYGWIN)
   set(CMAKE_CONFIG_INSTALL_DIR CMake)
 else()
-  set(CMAKE_CONFIG_INSTALL_DIR share/${PROJECT_NAME}/cmake/)
+  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}/cmake/)
 endif()
 
 set(PACKAGE_NAME ${PROJECT_NAME})

=== urdf_model_state/CMakeLists.txt ===
INSTALL(DIRECTORY include/urdf_model_state DESTINATION include)

=== debian/changelog ===
urdfdom-headers (1.0.0-1ubuntu0.1) bionic; urgency=medium

  * Patches to avoid truncating problems on non english locale systems (LP: #1817595)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 08 Aug 2019 17:49:30 +0000

urdfdom-headers (1.0.0-1) unstable; urgency=medium

  * Cherry pick patch for current version to fix problem in upstream code
  * Imported Upstream version 1.0.0 (Closes: #820819)
  * Remove not needed patch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 23 Jul 2016 00:38:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: urdfdom-headers
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom-headers.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom-headers.git
 Homepage: https://github.com/ros/urdfdom_headers

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 	rm -f cmake/pkgconfig/urdfdom_headers.pc
 	rm -f cmake/urdfdom_headers-config.cmake
 	dh_auto_clean --
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz
+

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/urdfdom_headers-$1\.tar\.gz/ \
 https://github.com/ros/urdfdom_headers/releases .*/v?(\d\S*)\.tar\.gz

## urdfdom-headers 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (URDF_MAJOR_VERSION 1)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 0)
+set (URDF_PATCH_VERSION 3)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 
@@ -55,4 +55,9 @@
   install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION lib/pkgconfig/ COMPONENT pkgconfig)
 endif()
 
+# Add uninstall target
+# Ref: http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
+configure_file("${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake.in" "${PROJECT_BINARY_DIR}/uninstall.cmake" IMMEDIATE @ONLY)
+add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${PROJECT_BINARY_DIR}/uninstall.cmake")
+
 message(STATUS "Configuration successful. Type make install to install urdfdom_headers.")

=== debian/changelog ===
urdfdom-headers (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Jan 2019 16:50:59 +0000

urdfdom-headers (1.0.2-1) unstable; urgency=medium

  * Update different metadata reported by lintian
  * Don't need to use parallel anymore
  * New upstream version 1.0.2

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 26 Nov 2018 15:55:20 +0000

urdfdom-headers (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 16 Oct 2018 21:54:27 +0000

## urdfdom-headers 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (URDF_MAJOR_VERSION 1)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 3)
+set (URDF_PATCH_VERSION 4)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

=== urdf_exception/CMakeLists.txt ===
INSTALL(DIRECTORY include/urdf_exception DESTINATION include)

=== urdf_model/CMakeLists.txt ===
INSTALL(DIRECTORY include/urdf_model DESTINATION include)

=== debian/changelog ===
urdfdom-headers (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 16:25:03 +0000

=== debian/control ===
Source: urdfdom-headers
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11), cmake
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/urdfdom-headers
Vcs-Git:  https://salsa.debian.org/science-team/urdfdom-headers.git
Homepage: https://github.com/ros/urdfdom_headers

Package: liburdfdom-headers-dev
Architecture: any
Section: libdevel
Depends: pkg-config, ${misc:Depends}
Multi-Arch: foreign
Description: URDF DOM - header files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the headers files.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 .PHONY: override_dh_auto_clean get-orig-source
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom_headers.pc

## urdfdom-headers 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (URDF_MAJOR_VERSION 1)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 4)
+set (URDF_PATCH_VERSION 5)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 
@@ -26,8 +26,9 @@
 if(WIN32 AND NOT CYGWIN)
   set(CMAKE_CONFIG_INSTALL_DIR CMake)
 else()
-  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}/cmake/)
+  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake)
 endif()
+string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_CMAKE_DIR_TO_PREFIX "${CMAKE_CONFIG_INSTALL_DIR}")
 
 set(PACKAGE_NAME ${PROJECT_NAME})
 set(cmake_conf_file "${PROJECT_NAME}-config.cmake")
@@ -52,8 +53,19 @@
   set(PACKAGE_DESC "Unified Robot Description Format")
   set(pkg_conf_file "urdfdom_headers.pc")
   configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
-  install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION lib/pkgconfig/ COMPONENT pkgconfig)
+  install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
 endif()
+
+add_library(${PROJECT_NAME} INTERFACE)
+target_include_directories(${PROJECT_NAME} INTERFACE
+  "$<INSTALL_INTERFACE:include>")
+install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME})
+install(
+  EXPORT ${PROJECT_NAME}
+  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR}
+  NAMESPACE "${PROJECT_NAME}::"
+  FILE "${PROJECT_NAME}Export.cmake"
+)
 
 # Add uninstall target
 # Ref: http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F

=== urdf_sensor/CMakeLists.txt ===
INSTALL(DIRECTORY include/urdf_sensor DESTINATION include)

=== debian/changelog ===
urdfdom-headers (1.0.5-3) unstable; urgency=medium

  * Team upload.
  * Drop architecture check
  * Add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 22 Dec 2020 00:12:51 +0100

urdfdom-headers (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * Add patch for include dir
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy version (no changes)
  * Install build system files to share (Closes: #951473)
  * Minimize dependencies
  * Update d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 22:17:00 +0100

urdfdom-headers (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Strip unusual field spacing from debian/control.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Sep 2020 20:51:26 +0000

=== debian/control ===
Source: urdfdom-headers
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/urdfdom-headers
Vcs-Git: https://salsa.debian.org/science-team/urdfdom-headers.git
Homepage: https://github.com/ros/urdfdom_headers

Package: liburdfdom-headers-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: URDF DOM - header files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the headers files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean

%:
	dh $@ 

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom_headers.pc
	rm -f cmake/urdfdom_headers-config.cmake
	dh_auto_clean --

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
 https://github.com/ros/urdfdom_headers/releases .*/v?(\d\S*)\.tar\.gz

## urdfdom-headers 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,20 @@
-cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
+cmake_minimum_required( VERSION 3.8 FATAL_ERROR )
 project (urdfdom_headers)
 
 include(GNUInstallDirs)
 
+option(APPEND_PROJECT_NAME_TO_INCLUDEDIR
+  "When ON headers are installed to a folder ending with an extra ${PROJECT_NAME}. \
+  This avoids include directory search order issues when overriding this package
+  from a merged catkin, ament, or colcon workspace." ON)
+
+if(APPEND_PROJECT_NAME_TO_INCLUDEDIR)
+  set(CMAKE_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
+endif()
+
 set (URDF_MAJOR_VERSION 1)
-set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 5)
+set (URDF_MINOR_VERSION 1)
+set (URDF_PATCH_VERSION 2)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 
@@ -17,11 +26,7 @@
   set(MSVC ON)
 endif (MSVC OR MSVC90 OR MSVC10)
 
-add_subdirectory(urdf_sensor)
-add_subdirectory(urdf_model)
-add_subdirectory(urdf_model_state)
-add_subdirectory(urdf_world)
-add_subdirectory(urdf_exception)
+install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 if(WIN32 AND NOT CYGWIN)
   set(CMAKE_CONFIG_INSTALL_DIR CMake)
@@ -29,6 +34,7 @@
   set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake)
 endif()
 string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_CMAKE_DIR_TO_PREFIX "${CMAKE_CONFIG_INSTALL_DIR}")
+string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_LIBDIR_TO_PREFIX "${CMAKE_INSTALL_LIBDIR}")
 
 set(PACKAGE_NAME ${PROJECT_NAME})
 set(cmake_conf_file "${PROJECT_NAME}-config.cmake")
@@ -49,16 +55,14 @@
   DESTINATION ${CMAKE_CONFIG_INSTALL_DIR} COMPONENT cmake)
 
 # Make the package config file
-if (NOT MSVC)
-  set(PACKAGE_DESC "Unified Robot Description Format")
-  set(pkg_conf_file "urdfdom_headers.pc")
-  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
-  install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
-endif()
+set(PACKAGE_DESC "Unified Robot Description Format")
+set(pkg_conf_file "urdfdom_headers.pc")
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
+install(FILES "${CMAKE_BINARY_DIR}/${pkg_conf_file}" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
 
 add_library(${PROJECT_NAME} INTERFACE)
 target_include_directories(${PROJECT_NAME} INTERFACE
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
 install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME})
 install(
   EXPORT ${PROJECT_NAME}

=== debian/changelog ===
urdfdom-headers (1.1.2-2) unstable; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * Added patch to fix prefix

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Apr 2025 10:08:20 +0000

urdfdom-headers (1.1.2-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 1.1.2
  * Refresh patches
  * Bump standard to 4.7.0. No code change
  * Update d/copyright
  * Update d/watch to use tags

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 23 Feb 2025 21:17:06 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom-headers
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom-headers.git
 Homepage: https://github.com/ros/urdfdom_headers
@@ -14,7 +14,7 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
-Description: URDF DOM - header files
+Description: URDFDOM - header files
  The URDF (U-Robot Description Format) library provides core data
  structures and a simple XML parsers for populating the class data
  structures from an URDF file.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 .PHONY: override_dh_auto_clean
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom_headers.pc

=== debian/watch ===
version=4
https://github.com/ros/urdfdom_headers/tags .*/v?(\d.*)@ARCHIVE_EXT@

## urdfdom-headers 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,9 @@
   set(CMAKE_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
 endif()
 
-set (URDF_MAJOR_VERSION 1)
-set (URDF_MINOR_VERSION 1)
-set (URDF_PATCH_VERSION 2)
+set (URDF_MAJOR_VERSION 2)
+set (URDF_MINOR_VERSION 0)
+set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

=== debian/changelog ===
urdfdom-headers (2.0.0-1) experimental; urgency=medium

  * Update d/watch to v5
  * New upstream version 2.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Sep 2025 18:44:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom-headers
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom-headers.git
 Homepage: https://github.com/ros/urdfdom_headers

=== debian/watch ===
Version: 5
Template: Github
Owner: ros
Project: urdfdom_headers

## urdfdom-headers 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,15 @@
-cmake_minimum_required( VERSION 3.8 FATAL_ERROR )
-project (urdfdom_headers)
+cmake_minimum_required( VERSION 3.20 FATAL_ERROR )
+# Read version from package.xml
+file(READ package.xml PACKAGE_XML_DATA)
+string(REGEX MATCH "<version>([0-9]+)\.([0-9]+)\.([0-9]+)</version>" _ ${PACKAGE_XML_DATA})
+set(URDF_MAJOR_VERSION ${CMAKE_MATCH_1})
+set(URDF_MINOR_VERSION ${CMAKE_MATCH_2})
+set(URDF_PATCH_VERSION ${CMAKE_MATCH_3})
+
+set(URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
+project(urdfdom_headers VERSION ${URDF_VERSION})
+
+message(STATUS "${PROJECT_NAME} version ${URDF_VERSION}")
 
 include(GNUInstallDirs)
 
@@ -11,14 +21,6 @@
 if(APPEND_PROJECT_NAME_TO_INCLUDEDIR)
   set(CMAKE_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
 endif()
-
-set (URDF_MAJOR_VERSION 2)
-set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 0)
-
-set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
-
-message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")
 
 # This shouldn't be necessary, but there has been trouble
 # with MSVC being set off, but MSVCXX ON.

=== debian/changelog ===
urdfdom-headers (2.0.2-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 07 Feb 2026 10:16:04 +0000

urdfdom-headers (2.0.2-1) experimental; urgency=medium

  * New upstream version 2.0.2

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 23 Dec 2025 15:18:06 +0000

## urdfdom-headers 2.1.0

=== debian/changelog ===
urdfdom-headers (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 23 Feb 2026 19:35:52 +0000
